> ## Documentation Index
> Fetch the complete documentation index at: https://gcore.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get player

> Returns player settings



## OpenAPI

````yaml /api-reference/services_documented/streaming_api.yaml get /streaming/players/{player_id}
openapi: 3.1.0
info:
  title: Gcore OpenAPI – Streaming API
  description: >-
    This OpenAPI is an aggregated OpenAPI specification that unifies all Gcore
    products into a single file. It covers Cloud, CDN, DNS, WAAP, DDoS
    Protection, Object Storage, Streaming, and FastEdge services.
  version: '2026-05-14T07:00:22.640261+00:00'
servers:
  - url: https://api.gcore.com
security:
  - APIKey: []
tags:
  - name: AI
    x-displayName: AI
  - name: Broadcasts
    x-displayName: Broadcasts
  - name: Directories
    x-displayName: Directories
  - name: Overlays
    x-displayName: Overlays
  - name: Players
    x-displayName: Players
  - name: Playlists
    x-displayName: Playlists
  - name: QualitySets
    x-displayName: QualitySets
  - name: Restreams
    x-displayName: Restreams
  - name: Streaming Statistics
    x-displayName: Statistics
  - name: Streams
    x-displayName: Streams
  - name: Subtitles
    x-displayName: Subtitles
  - name: Videos
    x-displayName: Videos
paths:
  /streaming/players/{player_id}:
    get:
      tags:
        - Players
      summary: Get player
      description: Returns player settings
      operationId: get_players_id
      parameters:
        - name: player_id
          in: path
          description: >-
            Player ID.   

            IDs of all created players can be received via Get All Players
            request
          required: true
          schema:
            type: integer
      responses:
        '200':
          description: Successful
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/player'
      x-codeSamples:
        - lang: Python
          source: |-
            import os
            from gcore import Gcore

            client = Gcore(
                api_key=os.environ.get("GCORE_API_KEY"),  # This is the default and can be omitted
            )
            player = client.streaming.players.get(
                0,
            )
            print(player.id)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/G-Core/gcore-go\"\n\t\"github.com/G-Core/gcore-go/option\"\n)\n\nfunc main() {\n\tclient := gcore.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\tplayer, err := client.Streaming.Players.Get(context.TODO(), 0)\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", player.ID)\n}\n"
components:
  schemas:
    player:
      required:
        - name
      type: object
      properties:
        id:
          type: integer
          description: Player ID
        name:
          type: string
          description: Player name
        client_id:
          type: integer
          description: Client ID
        framework:
          type: string
          description: Player framework type
        design:
          type: string
          description: String to be rendered as JS parameters to player
        custom_css:
          type: string
          description: Custom CSS to be added to player iframe
        js_url:
          type: string
          description: >-
            Player main JS file URL. Leave empty to use JS URL from the default
            player
        skin_is_url:
          type: string
          description: URL to custom skin JS file
        bg_color:
          type: string
          description: 'Color of skin background in format #AAAAAA'
        fg_color:
          type: string
          description: 'Color of skin foreground (elements) in format #AAAAAA'
        text_color:
          type: string
          description: 'Color of skin text elements in format #AAAAAA'
        hover_color:
          type: string
          description: 'Color of foreground elements when mouse is over in format #AAAAAA'
        autoplay:
          type: boolean
          description: >-
            Enables video playback right after player load:


            - **true** — video starts playing right after player loads

            - **false** — video isn’t played automatically. A user must click
            play to start


            Default is false
        mute:
          type: boolean
          description: |-
            Regulates the sound volume:

            - **true** — video starts with volume off
            - **false** — video starts with volume on

            Default is false
        disable_skin:
          type: boolean
          description: |-
            Enables/Disables player skin:

            - **true** — player skin is disabled
            - **false** — player skin is enabled

            Default is false
        save_options_to_cookies:
          type: boolean
          description: |-
            Enables/Disables saving volume and other options in cookies:

            - **true** — user settings will be saved
            - **false** — user settings will not be saved

            Default is true
        show_sharing:
          type: boolean
          description: |-
            Enables/Disables sharing button display:

            - **true** — sharing button is displayed
            - **false** — no sharing button is displayed

            Default is true
        logo_position:
          type: string
          description: |-
            Logotype position.   
             Has four possible values:

            - **tl** — top left
            - **tr** — top right
            - **bl** — bottom left
            - **br** — bottom right

            Default is null
        speed_control:
          type: boolean
          description: |-
            Enables/Disables speed control button display:

            - **true** — sharing button is displayed
            - **false** — no sharing button is displayed

            Default is false
        logo:
          type: string
          description: URL to logo image
      description: >-
        Set of properties for displaying videos. All parameters may be blank to
        inherit their values from default Streaming player.
      example:
        - id: 33
          name: Player
          client_id: 100
          design: ''
          custom_css: ''
          js_url: ''
          skin_js_url: ''
          bg_color: '#3313df'
          fg_color: '#FFFFFF'
          text_color: '#FFFFFF'
          hover_color: '#ef9047'
          autoplay: true
          mute: false
          disable_skin: false
          save_options_to_cookies: false
          show_sharing: true
          speed_control: false
  securitySchemes:
    APIKey:
      description: >-
        API key for authentication. Make sure to include the word `apikey`,
        followed by a single space and then your token.

        Example: `apikey 1234$abcdef`
      type: apiKey
      in: header
      name: Authorization

````